bubble3d(6)

NAME
bubble3d - 3d rising bubbles.

SYNOPSIS
bubble3d [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--transparent] [--color color] [--fps]

DESCRIPTION
Draws a stream of rising, undulating 3D bubbles, rising toward the top of the screen, with nice specular reflections.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--transparent
    Draw transparent bubbles instead of solid ones.

--color color
    Draw bubbles of the specified color. "Random" means a different color for each bubble.

--delay number
    Per-frame delay, in microseconds. Default: 15000 (0.015 seconds.).

--fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Richard Jones. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Richard Jones.